Gửi tin nhắn ZNS tới khách hàng thông qua Số điện thoại.


Request Information

Link Request API (METHOD POST):

https://api.abenla.com/zbs/message/send-phone


Information Request

URI Parameters

None.

Request Body Parameters

Name Description Type
phone_number

Số điện thoại người nhận tin (Định dạng: 84xxxxxxxxx).

string
zalo_template_id

ID của template

string
brand_name

Tên thương hiệu (Brandname) đại diện gửi tin nhắn.

string
callBack

Cấu hình nhận kết quả trả về (Webhook). True: Nhận CallBack, False: Không.

boolean
sms_guid

Mã định danh tin nhắn duy nhất do phía Client tự sinh ra (Dùng để tracking/đối soát).

string
listParams

Danh sách các tham số (Key) và giá trị (Value) để điền vào nội dung Tempalte.

Dictionary of string [key] and string [value]
login_name

Tên tài khoản đăng nhập hoặc định danh người dùng API.

string
sign

Chữ ký bảo mật (hash MD5) dùng để xác thực tính toàn vẹn của yêu cầu.

View More
string

Request Formats

application/json, text/json, text/html

Sample:
{
  "phone_number": "0912345678",
  "zalo_template_id": "1234567",
  "brand_name": "Abenla",
  "callBack": false,
  "sms_guid": "550e8400-e29b-41d4-a716-446655440000",
  "listParams": {
    "ten_khach_hang": "ten_khach_hang_sample",
    "thoi_gian": "thoi_gian_sample",
    "ma_khach_hang": "ma_khach_hang_sample"
  },
  "login_name": "ABL1234",
  "sign": "691a5659131a04e0a831472e7a4ba33b"
}

Response Information

Resource Description

Name Description Type
sms_perMessage

Số lượng tin nhắn bị trừ/tính phí cho yêu cầu gửi này.

integer
remainingQuota

Số lượng tin nhắn còn lại có thể gửi trong ngày (Quota còn lại).

integer
dailyQuota

Tổng hạn mức tin nhắn được cấp phép gửi trong ngày (Daily Quota).

integer
code

Mã lỗi trả về từ hệ thống (enum).
Error code returned from the system (enum type).

ErrorCode
message

Thông điệp lỗi hoặc mô tả phản hồi.
Error message or response description.

string

Response Formats

application/json, text/json, text/html

Sample:
{
  "sms_perMessage": 1,
  "remainingQuota": 1999,
  "dailyQuota": 2000,
  "code": 106,
  "message": "Success"
}